# 7.1.1. CUPTI::PcSamplingUtil

namespace PcSamplingUtil

Data Structures

- BufferInfo: BufferInfo will be stored in the file for every buffer i.e for every call of UtilDumpPcSamplingBufferInFile() API.

- CUptiUtil_GetBufferInfoParams: Params for CuptiUtilGetBufferInfo .

- CUptiUtil_GetHeaderDataParams: Params for CuptiUtilGetHeaderData .

- CUptiUtil_GetPcSampDataParams: Params for CuptiUtilGetPcSampData .

- CUptiUtil_MergePcSampDataParams: Params for CuptiUtilMergePcSampData .

- CUptiUtil_PutPcSampDataParams: Params for CuptiUtilPutPcSampData .

- Header: Header info will be stored in file.

- PcSamplingStallReasons: All available stall reasons name and respective indexes will be stored in it.

Enumerations

- CUptiUtilResult: CUPTI PC sampling utility API result codes.

- PcSamplingBufferType: CUPTI PC sampling buffer types.

Functions

- CuptiUtilGetBufferInfo(CUptiUtil_GetBufferInfoParams *pParams): Get buffer info data of file.

- CuptiUtilGetHeaderData(CUptiUtil_GetHeaderDataParams *pParams): Get header data of file.

- CuptiUtilGetPcSampData(CUptiUtil_GetPcSampDataParams *pParams): Retrieve PC sampling data from file into allocated buffer.

- CuptiUtilMergePcSampData(CUptiUtil_MergePcSampDataParams *pParams): Merge PC sampling data range id wise.

- CuptiUtilPutPcSampData(CUptiUtil_PutPcSampDataParams *pParams): Dump PC sampling data into the file.